Autor Wątek: QMPlay2 dla Qt5  (Przeczytany 3095 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
QMPlay2 dla Qt5
« dnia: Grudzień 19, 2014, 13:42:24 »
Nasz rodak - Błażej Szczygieł - tworzy całkiem przyjemną aplikację multimedialną o nazwie QMPlay2 http://qt-apps.org/content/show.php/QMPlay2?content=153339. Jest to jedna z nielicznych obecnie aplikacji tego typu, która może być utworzona przy użyciu Qt5. Ba, w AUR znajduje się PKGBUILD. Tworzy piękną aplikację, tyle, że z użyciem frameworku Qt4. Niewielka zmiana pozwala cieszyć się tym programem bardziej dostosowanym dla Plasma 5, a zatem w nowym środowisku KDE (ale także np. w LXQT, czy Maui /to ostatnie prawdopodobnie/).

EDIT:
Poniżej prezentowany kod został zmieniony i jest to jego nowa wersja. Obecnie aplikacja nazywa się qmplay2-qt5 i zastąpi qmplay2 (opartą na qt4, jak i wersję zbudowaną na poprzednim kodzie). Myślę, że w ten sposób jest czytelniej i po prostu lepiej.

# Maintainer: giacomogiorgianni@gmail.com (for Qt4 version)
# Maintainer: pavbaranov (for Qt5 version)

pkgname=qmplay2-qt5
pkgver=14.12.28
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv' 'portaudio' 'libcdio'
'libxkbcommon-x11')
optdepends=('pulseaudio' 'youtube-dl')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('edea14f58b65c4c7c719fea173506cf2')

build()
{
        cd $srcdir/QMPlay2-src/
        sed -i '27s|# | |g' src/qmplay2/qmplay2.pro
        sed -i '28s|# | |g' src/qmplay2/qmplay2.pro
        sed -i '29s|# | |g' src/qmplay2/qmplay2.pro
        #sed -i "1i#include <va/va_version.h>" src/modules/FFMpeg/VAApiWriter.hpp
        #sed -i "1i#include <va/va_compat.h>" src/modules/FFMpeg/VAApiWriter.hpp
        #sed -i 's/ packet.convergence_duration != QMPLAY2_NOPTS_VALUE/packet.convergence_duration > 0/' src/modules/FFMpeg/FFDemux.cpp
        #sed -i 's/qstrcmp( codecName, "ass" )/qstrcmp( codecName, "ass" ) \&\& qstrcmp( codecName, "ssa" )/' src/gui/PlayClass.cpp
        #sed -i 's/\!qstrcmp( streams\[ subtitlesStream \].codecName, "ass" )/(\!qstrcmp( streams\[ subtitlesStream \].codecName, "ass" ) \|\| \!qstrcmp( streams\[ subtitlesStream \].codecName, "ssa" ) )/' src/gui/PlayClass.cpp
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

Pozwoliłem sobie "podbić" numer wersji do 2, ze względu na to, że jeśli ktoś zainstalował sobie QMPlay2 z AUR i chciałby wgrać proponowaną wersję, to bezproblemowo się ona "nadpisze". Przez jakiś czas unikniemy też "groźby" jej aktualizacji do wersji opartej o Qt4.
« Ostatnia zmiana: Styczeń 09, 2015, 13:49:33 wysłana przez pavbaranov »

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #1 dnia: Grudzień 30, 2014, 13:51:31 »
Pojawiła się nowa wersja, zatem podaję PKGBUILD:
# Contributer: giacomogiorgianni@gmail.com

pkgname=qmplay2
pkgver=14.12.28
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser"
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('LGPL')
depends=('qt5-base' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv' 'portaudio' 'libcdio')
optdepends=('pulseaudio')
makedepends=('make' 'gcc')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('edea14f58b65c4c7c719fea173506cf2')

build()
{
 cd $srcdir/QMPlay2-src/
        sed -i '27s|# | |g' src/qmplay2/qmplay2.pro
 sed -i '28s|# | |g' src/qmplay2/qmplay2.pro
        sed -i '29s|# | |g' src/qmplay2/qmplay2.pro
 #sed -i "1i#include <va/va_version.h>" src/modules/FFMpeg/VAApiWriter.hpp
 #sed -i "1i#include <va/va_compat.h>" src/modules/FFMpeg/VAApiWriter.hpp
 #sed -i 's/ packet.convergence_duration != QMPLAY2_NOPTS_VALUE/packet.convergence_duration > 0/' src/modules/FFMpeg/FFDemux.cpp
 #sed -i 's/qstrcmp( codecName, "ass" )/qstrcmp( codecName, "ass" ) \&\& qstrcmp( codecName, "ssa" )/' src/gui/PlayClass.cpp
 #sed -i 's/\!qstrcmp( streams\[ subtitlesStream \].codecName, "ass" )/(\!qstrcmp( streams\[ subtitlesStream \].codecName, "ass" ) \|\| \!qstrcmp( streams\[ subtitlesStream \].codecName, "ssa" ) )/' src/gui/PlayClass.cpp
 QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
 mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #2 dnia: Marzec 29, 2015, 09:03:04 »
Pojawiła się wersja 15.03.28 tej aplikacji. Informacja o wydaniu - wraz z listą zmian: http://qt-apps.org/content/show.php/QMPlay2?content=153339
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.03.28
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv' 'portaudio' 'libcdio'
'libxkbcommon-x11')
optdepends=('pulseaudio' 'youtube-dl')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('d484496817b846fbfca22056fecb71a9')

build()
{
        cd $srcdir/QMPlay2-src/
        sed -i '27s|# | |g' src/qmplay2/qmplay2.pro
        sed -i '28s|# | |g' src/qmplay2/qmplay2.pro
        sed -i '29s|# | |g' src/qmplay2/qmplay2.pro
        #sed -i "1i#include <va/va_version.h>" src/modules/FFMpeg/VAApiWriter.hpp
        #sed -i "1i#include <va/va_compat.h>" src/modules/FFMpeg/VAApiWriter.hpp
        #sed -i 's/ packet.convergence_duration != QMPLAY2_NOPTS_VALUE/packet.convergence_duration > 0/' src/modules/FFMpeg/FFDemux.cpp
        #sed -i 's/qstrcmp( codecName, "ass" )/qstrcmp( codecName, "ass" ) \&\& qstrcmp( codecName, "ssa" )/' src/gui/PlayClass.cpp
        #sed -i 's/\!qstrcmp( streams\[ subtitlesStream \].codecName, "ass" )/(\!qstrcmp( streams\[ subtitlesStream \].codecName, "ass" ) \|\| \!qstrcmp( streams\[ subtitlesStream \].codecName, "ssa" ) )/' src/gui/PlayClass.cpp
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #3 dnia: Maj 31, 2015, 09:13:13 »
Nowa wersja (15.05.30) i nieco zmieniony PKGBUILD.
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.05.30
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('d6b45fa64c69a7f90d960123ea0c784f')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #4 dnia: Czerwiec 06, 2015, 07:09:15 »
Nowa wersja to 15.06.06. Większe zmiany dotyczą posiadaczy ekranów dotykowych, niemniej jednak i na desktopie powinno być lepiej (zob.: http://qt-apps.org/content/show.php/QMPlay2?content=153339)
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.06.06
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('fb040949524f5ad5021d6cbb89aaf455')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #5 dnia: Czerwiec 27, 2015, 07:49:50 »
Nowa wersja 15.06.26:
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.06.26
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('aef71f29c274ae5e16c3a79a134ccb8c')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #6 dnia: Lipiec 13, 2015, 08:38:25 »
Nowa wersja 15.07.13 - zmiany niewielkie: http://qt-apps.org/content/show.php/QMPlay2?content=153339
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.07.13
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('7b479171e594b7070b352e98bc13a967')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #7 dnia: Sierpień 12, 2015, 23:38:09 »
Jak co miesiąc - wersja 15.08.12.
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.08.12
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('c8d18e414414bc73b3f8e37961d48fbe')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #8 dnia: Październik 04, 2015, 11:03:14 »
Zdaje się, że w zeszłym miesiącu zapomniałem, zatem śpieszę naprawić wraz z wersją 15.10.03:
PKGBUILD
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.10.03
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.bz2")
md5sums=('f7106cc7ced23bb79cbc6dfbc4f24a84')

build()
{
        cd $srcdir/QMPlay2-src/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #9 dnia: Październik 19, 2015, 13:09:18 »
Wersja 15.10.08:
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.10.18
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.xz")
md5sums=('ee8f1d0c2dca3dd0862bdeca816cde0d')

build()
{
        cd $srcdir/QMPlay2-src-$pkgver/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src-$pkgver/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #10 dnia: Grudzień 07, 2015, 21:47:05 »
PKBUILD dla wersji 15.12.06:
# Contributer: giacomogiorgianni@gmail.com
# Maintainer for Qt5 version: pavbaranov

# Full pkgname # Do not edit below this line unless you know what you're doing
#
#_pkgname=qmplay2-qt5
#
###################################

pkgname=qmplay2-qt5
#__pkgname=qmplay2
pkgver=15.12.06
pkgrel=1
pkgdesc="QMPlay2 is a video player, it can plays all formats and stream supported by ffmpeg and libmodplug (including J2B). It has integrated Youtube browser. Qt5 version."
arch=('i686' 'x86_64')
url="http://qt-apps.org/content/show.php/QMPlay2?content=153339"
license=('GPL v.3')
depends=('qt5-base' 'qt5-x11extras' 'libdbusmenu-qt5' 'ffmpeg' 'libass' 'mesa' 'libva' 'libxv'
'libcdio' 'libxkbcommon-x11' 'taglib' 'libcdio' 'libcddb' 'libpulse')
optdepends=('pulseaudio' 'youtube-dl' 'pulseaudio-alsa')
makedepends=('make' 'gcc')
conflicts=('qmplay2')
source=("http://sourceforge.net/projects/zaps166/files/QMPlay2/QMPlay2-src-${pkgver}.tar.xz")
md5sums=('3d6fa37eaefcf122a04b6544b9a01ec1')

build()
{
        cd $srcdir/QMPlay2-src-$pkgver/
        QT_SUFFIX=-qt5 NOTERM=1 SYSTEM_BUILD=1 ./compile_unix 0
}

package()
{
        mv $srcdir/QMPlay2-src-$pkgver/app $pkgdir/usr
}

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 917
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: QMPlay2 dla Qt5
« Odpowiedź #11 dnia: Grudzień 27, 2015, 01:44:05 »
W AUR znajduje się skrypt budujący paczkę qmplay2-git, która odpowiada skryptom, które dotychczas tutaj prezentowałem. Przestaję zatem je kontynuować.
Instalacja qmplay2-git będzie od Was wymagała odinstalowania pakietu qmplay2-qt5 (bowiem takiego qmplay2-git nie zna). Możemy to zrobić albo tradycyjnie z użyciem pacmana, albo podczas budowy pakietu zmienić plik PKGBUILD i umieścić w nim:
conflicts=('qmplay2' 'qmplay2-qt5')w miejsce:
conflicts=('qmplay2')

 

Polityka cookies
Darmowe Fora | Darmowe Forum
ultrawinterfell pisaczek etavlon weganizm real-basketball